Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 23646 - RFI -- GFS patches into 2.4 kernel
RFI -- GFS patches into 2.4 kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-09 01:40 EST by Michael E Brown
Modified: 2007-04-18 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-09 13:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael E Brown 2001-01-09 01:40:59 EST
Would like to see the GFS Patches included in the main kernel so that GFS
is an easy add-on.


ftp://ftp.globalfilesystem.org/pub/GFS/4.0/releases/
http://www.sistina.com/gfs/software/

[mebrown@carthage linux_2_4]$ ls -la
total 52
drwx--S---    2 mebrown  mebrown      4096 Jan  1 12:50 .
drwx--S---    4 mebrown  mebrown      4096 Jan  1 12:50 ..
-rw-------    1 mebrown  mebrown      1877 Dec 31 16:12 README
-rw-------    1 mebrown  mebrown      3904 Dec 31 16:12 bufcache.patch
-rw-------    1 mebrown  mebrown      2950 May 26  2000 cdb16.patch
-rw-------    1 mebrown  mebrown       679 May 26  2000 exportscsi.patch
-rw-------    1 mebrown  mebrown     17817 Dec 31 16:12 inode.patch
-rw-------    1 mebrown  mebrown      2062 Dec 31 16:12 ksyms.patch
-rw-------    1 mebrown  mebrown       342 Dec 31 16:12 task.patch

From the GFS kernel patches README:



                 Patches to the Linux Kernel 2.4
                =================================

These patches are against 2.4.0-prerelease


Patches:
----------------
[These are the essential ones to get GFS working under 2.4.xx kernels]

bufcache.patch - Adds callbacks to buffer cache for GFS. Once GFS has
                 migrated to using the page cache entirely, this will
                 not be required.

ksyms.patch    - Exports symbols required by GFS. This patch contains the
                 GFS specific changes that will be required to the kernel.
                 From time to time this patch will be submitted to the
                 main kernel tree, so if bits of it don't apply to your
                 kernel source, it may be because its made its way into
                 the main tree already.

task.patch     - Adds a hook to the task_struct to hang the GFS transaction
                 structure from.

inode.patch    - Adds an extra argument to read_inode() to handle the 64bit
                 inode numbers cleanly. N.B. This isn't the "right" way to
                 do this, so this will change.

Old Patches:
----------------
[These are not uptodate compared with the latest kernel version and may not
still be required/working]

exportscsi.patch - exports "rscsi_disks" symbol for Dlock.

cdb16.patch - A version of cdb16.patch for 2.3.xx kernels
Comment 1 Michael E Brown 2001-01-09 13:21:42 EST
Date: Tue, 9 Jan 2001 12:04:30 -0600
From: Ken Preslan <kpreslan@sistina.com>
To: michael_e_brown@exchange.dell.com
Cc: sass@sistina.com, gfs@sistina.com
Subject: Re: Status of 2.4 patches

> 1) How stable are the 2.4 patches, and how close do you think they are to
> what the final patchset will need to look like. In particular, what is the
> status of the exportscsi.patch and cdb16.patch (listed under 'Old
> Patches')

The old patches, exportscsi.patch and cdb16.patch, are out of date and need
to be redone when we port Pool to 2.4.  (But they aren't needed if you're
not doing Pool.)

Bufcache.patch, ksyms.patch, and inode.patch are close, but both need a
bit more work.

task.patch is pretty close to its final form.

nfs.patch is just a bug fix.  It has been submitted and will hopefully be
included shortly.

> 2) What is the status of pushing the GFS kernel patchset to Linus for
> inclusion in the mainstream kernel. (Hint: It would be _really_ helpful to
> me if you were to push the GFS patches to Alan Cox for inclusion in the
> 2.4ac series, and in the 2.2 official kernel.)

task.patch and bufcache.patch will both probably go in (or an equivelant
will go in) when Stephen Tweedie get ext3 into the kernel.

inode.patch needs to be synced up with what Al Viro wants to do with the
new iget4() interface.

ksyms.patch doesn't really do anything controversial, so we may submit that
soon.

--
Ken Preslan <kpreslan@sistina.com>
Code Monkey
Sistina Software, Inc.
Comment 2 Michael K. Johnson 2001-10-11 11:36:30 EDT
GFS is now non-free software.  The chances of us doing this therefor
went from "good when the code quality improves sufficiently" to
"no chance whatsoever, sorry".
Comment 3 Michael E Brown 2001-10-11 11:51:28 EDT
http://www.opengfs.org ??

I see Alan and Arjan are active on the lists.
Comment 4 Arjan van de Ven 2001-10-16 04:10:45 EDT
GFS is not in a state where it is supportable. Sistina GFS 4.1 has dozens and
dozens of serious (some exploitable) bugs, OpenGFS is cleaning this up a lot
now, but lack of equipment slows it down a bit.

Note You need to log in before you can comment on or make changes to this bug.